# Miscellaneous
*.class
*.log
*.pyc
*.swp
.DS_Store
.atom/
.build/
.buildlog/
.history
.svn/
.swiftpm/
migrate_working_dir/

# IntelliJ related
*.iml
*.lock
*.packages
*.ipr
*.iws
.idea/
.vscode/

# The .vscode folder contains launch configuration and tasks you configure in
# VS Code which you may wish to be included in version control, so this line
# is commented out by default.
#.vscode/

# Flutter/Dart/Pub related
**/doc/api/
**/ios/Flutter/.last_build_id
.dart_tool/
.flutter-plugins
.flutter-plugins-dependencies
.pub-cache/
.pub/
/build/

# Android specific files
*.android/
*.android.iml
*.apk
*.ap_

# iOS specific files
*.ios/
*.ios.iml
*.ipa
*.xcworkspace
*.xcodeproj/
*.xcuserdatad/

# macOS specific files
.idea/workspace.xml


# Dependency lock files
.pubspec.lock

# Symbolication related
app.*.symbols

# Obfuscation related
app.*.map.json

# Android Studio will place build artifacts here
/android/app/debug
/android/app/profile
/android/app/release

# Flutter/Dart/Pub related
dart_tool/
.packages
pub-cache/
pub/


# Generated plugin registrant
.dart_tool/flutter_build/

# Build outputs
build/
ios/Flutter/.last_build_id
android/.gradle/
android/app/build/
web/.dart_tool/
web/.flutter-plugins
.web/


